Subject: I think you might like this

From: <[email-masked]>
Date: Wed, 17 Oct 2007 05:11:15 -0500

EXTO Ready To Hit US Market Ahead OF Schedule.

Exit Only, Inc.
EXTO.PK
Now: $0.43

EXTO used Canada for it's market testing ground for an online used car
market that only charges for interested buyers. Results in the US are
expected to mirror the success of the Canadian launch. The revolutionary
fee structure removes risk from sellers and moves cars faster. This will
behuge. In an exciting break Tuesday, EXTO announced that the US
expansion to the site is ready to go. Don't waste time, once the new
site hits the market, it will take off. Move on EXTO ASAP!